classification
Title: configure: error: cannot compute sizeof (int), 77
Type: behavior Stage: test needed
Components: Build Versions:
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: BreamoreBoy, georg.brandl, tekhne0
Priority: normal Keywords:

Created on 2005-07-07 22:37 by tekhne0, last changed 2010-08-21 22:43 by georg.brandl. This issue is now closed.

Files
File name Uploaded Description Edit
config.log tekhne0, 2005-07-07 22:44
Messages (5)
msg25748 - (view) Author: Tekhne (tekhne0) Date: 2005-07-07 22:37
After running:

shell# configure --prefix=/opt/python

Various warnings were produced, and one fatal error
preventing the build from progressing:

<snip>
checking size of int... configure: error: cannot
compute sizeof (int), 77
</snip>

The attachment contains the config.log file from the
configure command. Build was done with Python 2.4.1 on
Solaris 10 (sparc) with gcc 3.3.2.
msg25749 - (view) Author: Tekhne (tekhne0) Date: 2005-07-07 22:44
Logged In: YES 
user_id=1309274

attachment didn't go through...trying again.
msg25750 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2005-08-26 08:39
Logged In: YES 
user_id=1188172

I don't have a Solaris 10 available; it seems that some
#define that configure thinks is necessary has a detrimental
effect on the /usr/include/sys/siginfo.h header file.
msg114537 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2010-08-21 18:16
Can this be closed as I don't think a 5 year old build issue is still relevant?
msg114584 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2010-08-21 22:43
Agreed.
History
Date User Action Args
2010-08-21 22:43:01georg.brandlsetstatus: pending -> closed
resolution: out of date
messages: + msg114584
2010-08-21 18:16:37BreamoreBoysetstatus: open -> pending
nosy: + BreamoreBoy
messages: + msg114537

2009-02-16 00:27:27ajaksu2settype: behavior
stage: test needed
2005-07-07 22:37:48tekhne0create